package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class MutableIntervalTest
{
	//------------------------  EAM ----------------------------------------------------------------------------------
	public String test1(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);
		
		DateTime start1 = new DateTime(2005, 2, 25, 0, 0, 0, 0);
		DateTime end1 = new DateTime(2006, 5, 29, 4, 3, 2, 6);
		MutableInterval interva1l = new MutableInterval(start1, end1);

		interval.setInterval(interval);
		return interval.toString();
	}
	public String test2(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);

		interval.setChronology(BuddhistChronology.getInstanceUTC());
		return interval.toString();
	}
	public String test3(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);
		DateTime start1 = new DateTime(204, 12, 25, 0, 0, 0, 0);
		interval.setStartMillis(start1.getMillis());
		return interval.toString();
	}
	public String test4(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);
		DateTime start1 = new DateTime(204, 12, 25, 0, 0, 0, 0);
		interval.setStart(start1);
		return interval.toString();
	}
	public String test5(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);
		DateTime end1 = new DateTime(2007, 12, 25, 0, 0, 0, 0);
		interval.setEndMillis(end1.getMillis());
		return interval.toString();
	}
	public String test6(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);
		DateTime end1 = new DateTime(2007, 12, 25, 0, 0, 0, 0);
		interval.setEnd(end1);
		return interval.toString();
	}
	public String test7(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);
		DateTime end1 = new DateTime(2007, 12, 25, 0, 0, 0, 0);
		interval.setDurationAfterStart(end1.getMillis());
		return interval.toString();
	}
	public String test8(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);
		DateTime end1 = new DateTime(2005, 12, 25, 0, 0, 0, 0);
		interval.setDurationBeforeEnd(end1.getMillis());
		return interval.toString();
	}
	public String test9(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);
		DateTime start1 = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end1 = new DateTime(2006, 12, 29, 4, 3, 2, 6);
		Duration dur = new Duration(start1, end1);
		interval.setDurationAfterStart(dur);
		return interval.toString();
	}
	public String test10(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);
		DateTime start1 = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end1 = new DateTime(2006, 12, 29, 4, 3, 2, 6);
		Duration dur = new Duration(start1, end1);
		interval.setDurationBeforeEnd(dur);
		return interval.toString();
	}
	public String test11(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);
		DateTime start1 = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end1 = new DateTime(2006, 1, 1, 0, 0, 0, 0);
		MutablePeriod period = new MutablePeriod(start1.getMillis(), end1.getMillis(), ISOChronology.getInstanceUTC());
		interval.setPeriodAfterStart(period);
		return interval.toString();
	}
	public String test12(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);
		DateTime start1 = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end1 = new DateTime(2006, 1, 1, 0, 0, 0, 0);
		MutablePeriod period = new MutablePeriod(start1.getMillis(), end1.getMillis(), ISOChronology.getInstanceUTC());
		interval.setPeriodBeforeEnd(period);
		return interval.toString();
	}
	public String test13(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);
		interval.setPeriodAfterStart(null);
		return interval.toString();
	}
	public String test14(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		MutableInterval interval = new MutableInterval(start, end);
		interval.setPeriodBeforeEnd(null);
		return interval.toString();
	}
	//------------------------  EAM ----------------------------------------------------------------------------------
}