package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class MutablePeriodTest
{
	//------------------------  OAN ----------------------------------------------------------------------------------
	public String test1(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2006, 1, 1, 0, 0, 0, 0);
		MutablePeriod period = new MutablePeriod(start, end);

		DateTime start1 = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end1 = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		period.setPeriod(start1, end1);
		return period.toString();
	}
	//------------------------  OAN ----------------------------------------------------------------------------------
	//------------------------  OMR ----------------------------------------------------------------------------------
	public String test2(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2006, 1, 1, 0, 0, 0, 0);
		MutablePeriod period = new MutablePeriod(start.getMillis(), end.getMillis(), ISOChronology.getInstanceUTC());

		DateTime start1 = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end1 = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		Duration dur = new Duration(start1, end1);

		period.setPeriod(dur, BuddhistChronology.getInstanceUTC());
		return period.toString();
	}
	public String test3(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2006, 1, 1, 0, 0, 0, 0);
		MutablePeriod period = new MutablePeriod(start.getMillis(), end.getMillis(), BuddhistChronology.getInstanceUTC());

		DateTime start1 = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end1 = new DateTime(2006, 1, 1, 0, 0, 0, 6);
		period.setPeriod(start1.getMillis(), end1.getMillis());
		return period.toString();
	}
	//------------------------  OMR ----------------------------------------------------------------------------------
	//------------------------  EOC ----------------------------------------------------------------------------------
	//not used
/*	public String testeoc5(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2006, 1, 1, 0, 0, 0, 0);
		MutablePeriod period = new MutablePeriod(start, end);

		DateTime start1 = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end1 = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		period.setPeriod(start1, end1);
		return period.toString();
	}*/
	//------------------------  EOC ----------------------------------------------------------------------------------

	//------------------------  EAM ----------------------------------------------------------------------------------
	public String test4(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2006, 1, 1, 0, 0, 0, 0);
		MutablePeriod period = new MutablePeriod(start, end);

		DateTime start1 = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end1 = new DateTime(2005, 12, 29, 4, 3, 2, 6);
		Interval interval = new Interval(start1, end1);
		period.setPeriod(interval);
		return period.toString();
	}
	public String test5(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2006, 2, 13, 1, 2, 3, 4);
		MutablePeriod period = new MutablePeriod(start, end);

		period.add(1,2,3,4,5,6,7,54);
		return period.toString();
	}
	public String test6(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2006, 1, 1, 0, 0, 0, 0);
		MutablePeriod period = new MutablePeriod(start, end);

		period.add(12,23,34,45,56,67,78,54);
		return period.toString();
	}
	public String test7(){
		DateTime start = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2006, 2, 13, 0, 0, 0, 0);
		MutablePeriod period = new MutablePeriod(start, end);

		period.add(1,2,3,4,5,6,7,54);
		return period.toString();
	}
	//------------------------  EAM ----------------------------------------------------------------------------------
/*	public static void main(String[] args){
		DateTime start = new DateTime(2004, 2, 25, 0, 0, 0, 0);
		DateTime end = new DateTime(2006, 3, 26, 1, 2, 3, 4);
		MutablePeriod period = new MutablePeriod(start.getMillis(), end.getMillis(), PeriodType.days(), ISOChronology.getInstanceUTC());
		MutablePeriod period1 = new MutablePeriod(start.getMillis(), end.getMillis(), EthiopicChronology.getInstanceUTC());
		System.out.println(period.toString());
		DateTime start1 = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		DateTime end1 = new DateTime(2004, 12, 25, 0, 0, 0, 0);
		period.setPeriod(start1, end1);
		System.out.println(period.toString());

	}*/
}