package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class PartialTest
{
	//------------------------  EAM ----------------------------------------------------------------------------------
	public String test1(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 4, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		return partial.toString();
	}
	public String test2(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 4, 10, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		return partial.toString();
	}
	public String test3(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.year(), DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 4, 10, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		return partial.toString();
	}
	public String test4(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.yearOfCentury(), DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 4, 10, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		return partial.toString();
	}
	public String test5(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {4, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		return partial.with(DateTimeFieldType.year(), 2000).toString();
	}
	public String test6(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 4, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		return partial.with(DateTimeFieldType.yearOfCentury(), 455).toString();
	}
	public String test7(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.yearOfCentury(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {20, 4, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		return partial.with(DateTimeFieldType.year(), 455).toString();
	}
	public String test8(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 2, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		Partial.Property p = new Partial.Property(partial, 2);
		return p.withMaximumValue().toString();
	}
	public String test9(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 2, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		Partial.Property p = new Partial.Property(partial, 0);
		return p.withMinimumValue().toString();
	}
	//------------------------  EAM ----------------------------------------------------------------------------------

	//------------------------  JSI ----------------------------------------------------------------------------------
	public String test10(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {4, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		Partial partial1 = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		String s = partial1.with(DateTimeFieldType.year(), 2000).toString();
		return partial.with(DateTimeFieldType.dayOfMonth(), 5).toString();
	}
	//------------------------  JSI ----------------------------------------------------------------------------------

	//------------------------  OMR ----------------------------------------------------------------------------------
	public String test11(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 4, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		return partial.toString("11");
	}
	public String test12(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 4, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		Locale lc = new Locale("ja", "JP");
		return partial.toString("11", lc);
	}
	//------------------------  OMR ----------------------------------------------------------------------------------
	//------------------------  PCI ----------------------------------------------------------------------------------
	public String test13(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 4, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		return partial.withChronologyRetainFields(ISOChronology.getInstanceUTC()).toString();
	}
	public String test14(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 4, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		return partial.withChronologyRetainFields(BuddhistChronology.getInstanceUTC()).toString();
	}
	public String test15(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.yearOfEra(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 4, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		return partial.with(DateTimeFieldType.yearOfCentury(), 20).toString();
	}
	public String test16(){
		DateTimeFieldType [] dtft = {DateTimeFieldType.year(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 4, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		return partial.with(DateTimeFieldType.dayOfYear(), 20).toString();
	}
	//------------------------  PCI ----------------------------------------------------------------------------------
/*	public static void main(String[] args){
		DateTimeFieldType [] dtft = {DateTimeFieldType.yearOfEra(), DateTimeFieldType.monthOfYear(), DateTimeFieldType.dayOfMonth(), DateTimeFieldType.hourOfDay(), DateTimeFieldType.minuteOfHour(), DateTimeFieldType.secondOfMinute(), DateTimeFieldType.millisOfSecond()};
		int [] values = {2000, 4, 15, 13, 34, 44, 234};
		Partial partial = new Partial(dtft, values, ISOChronology.getInstanceUTC());
		System.out.println(partial.with(DateTimeFieldType.yearOfCentury(), 20).toString());
	}*/
}