package org.joda.time;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class TimeOfDayTest
{
	//------------------------  EAM ----------------------------------------------------------------------------------
/*	public String test1(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 10, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		return tof.toString();
	}
	public String test2(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 10, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		return tof.toLocalTime().toString();
	}
	public String test3(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 10, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		TimeOfDay.Property p = new TimeOfDay.Property(tof, 0);
		return p.withMaximumValue().toString();
	}
	public String test4(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 10, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		TimeOfDay.Property p = new TimeOfDay.Property(tof, 0);
		return p.withMinimumValue().toString();
	}*/
	//------------------------  EAM ----------------------------------------------------------------------------------
	//------------------------  IPC ----------------------------------------------------------------------------------
	public int test5(){
		DateTimeZone zone = DateTimeZone.forID("-05:00");
		TimeOfDay tof = new TimeOfDay(zone);
		return tof.getHourOfDay();
	}
/*	public String test6(){
		TimeOfDay tof = new TimeOfDay(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 2, 02, 3, 34, 56, 789), ISOChronology.getInstanceUTC());
		return tof.toString();
	}
	public String test7(){
		TimeOfDay tof = new TimeOfDay(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 2, 02, 3, 34, 56, 789));
		return tof.toString();
	}
	public String test8(){
		DateTime start = new DateTime(2004, 12, 25, 4, 4, 5, 6);
		TimeOfDay tof = new TimeOfDay(start);
		return tof.toString();
	}
	public String test9(){
		DateTime start = new DateTime(2004, 12, 25, 4, 5, 6, 7);
		TimeOfDay tof = new TimeOfDay(start, ISOChronology.getInstanceUTC());
		return tof.toString();
	}
	public String test10(){
		TimeOfDay tof = new TimeOfDay(4,5,6,7, ISOChronology.getInstanceUTC());
		int[] values = {5,22,45,567};
		TimeOfDay tof1 = new TimeOfDay(tof, ISOChronology.getInstanceUTC());
		return tof1.toString();
	}

	//------------------------  IPC ----------------------------------------------------------------------------------
	//------------------------  OMR ----------------------------------------------------------------------------------
	public String test11(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 11, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		return tof.fromMillisOfDay(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 2, 02, 23, 34, 56, 789),ISOChronology.getInstanceUTC()).toString();
	}
	public int test12(){
		DateTimeZone zone = DateTimeZone.forID("-05:00");
		java.util.Date d1 = new Date(1990, 02, 20, 06, 11, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		return tof.toDateTimeToday(zone).getHourOfDay();
	}
	//------------------------  OMR ----------------------------------------------------------------------------------
	//------------------------  PCI ----------------------------------------------------------------------------------
	public String test13(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 11, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		return tof.fromMillisOfDay(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 2, 02, 23, 34, 56, 789),BuddhistChronology.getInstanceUTC()).toString();
	}
	public String test14(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 11, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		return tof.getField(0, BuddhistChronology.getInstanceUTC()).toString();
	}
	public String test15(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 11, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		return tof.getField(1, BuddhistChronology.getInstanceUTC()).toString();
	}
	public String test16(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 11, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		return tof.getField(2, BuddhistChronology.getInstanceUTC()).toString();
	}
	public String test17(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 11, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		return tof.getField(3, BuddhistChronology.getInstanceUTC()).toString();
	}
	public String test18(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 11, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		return tof.withChronologyRetainFields(ISOChronology.getInstanceUTC()).toString();
	}
	public String test19(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 11, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		return tof.withChronologyRetainFields(BuddhistChronology.getInstanceUTC()).toString();
	}
	public String test20(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 11, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		return tof.MIDNIGHT.withMillisOfSecond(343).toString();
	}*/
	//Designed for PCD, NOT USED
/*	public String test20(){
		java.util.Date d1 = new Date(1990, 02, 20, 06, 11, 8);
		TimeOfDay tof = TimeOfDay.fromDateFields(d1);
		DateTimeFieldType[] dtft = tof.getFieldTypes();
		String s = "";
		for(int i = 0; i < dtft.length; i++){
			s = s + dtft[i].toString();
		}
		return s;
	}*/
	//------------------------  PCI ----------------------------------------------------------------------------------
}