package org.joda.time.field;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class DelegatedDateTimeFieldTest
{
	//------------------------  OAN AND OMR ----------------------------------------------------------------------------------
	public String test1(){		
		DelegatedDateTimeField ddtf = new DelegatedDateTimeField(ISOChronology.getInstance().millisOfDay(), DateTimeFieldType.dayOfMonth());
		Locale lc = new Locale("ja", "JP");
		return ddtf.getAsText(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789), lc);
	}
	public int test2(){
		DelegatedDateTimeField ddtf = new DelegatedDateTimeField(ISOChronology.getInstance().millisOfDay(), DateTimeFieldType.dayOfMonth());
		LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		return ddtf.getMaximumValue(ld, ld.getValues());
	}
	public int test3(){
		DelegatedDateTimeField ddtf = new DelegatedDateTimeField(ISOChronology.getInstance().millisOfDay(), DateTimeFieldType.dayOfMonth());
		return ddtf.getMaximumValue(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
	}
	public int test4(){
		DelegatedDateTimeField ddtf = new DelegatedDateTimeField(ISOChronology.getInstance().millisOfDay(), DateTimeFieldType.dayOfMonth());
		LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		return ddtf.getMaximumValue(ld);
	}
	public int test5(){
		DelegatedDateTimeField ddtf = new DelegatedDateTimeField(ISOChronology.getInstance().millisOfDay(), DateTimeFieldType.dayOfMonth());
		LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		return ddtf.getMinimumValue(ld);
	}
	public int test6(){
		DelegatedDateTimeField ddtf = new DelegatedDateTimeField(ISOChronology.getInstance().millisOfDay(), DateTimeFieldType.dayOfMonth());
		return ddtf.getMinimumValue(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789));
	}
	public String test7(){		
		DelegatedDateTimeField ddtf = new DelegatedDateTimeField(ISOChronology.getInstance().millisOfDay(), DateTimeFieldType.dayOfMonth());
		Locale lc = new Locale("ja", "JP");
		return ddtf.getAsShortText(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789), lc);
	}
	public int test8(){
		DelegatedDateTimeField ddtf = new DelegatedDateTimeField(ISOChronology.getInstance().millisOfDay(), DateTimeFieldType.dayOfMonth());
		LocalDate ld = new LocalDate(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 01, 01));
		return ddtf.getMaximumValue(ld, ld.getValues());
	}
	//------------------------  OAN AND OMR ----------------------------------------------------------------------------------
}