package org.joda.time.field;

import java.io.*;
import java.util.*;
import java.text.*;

import org.joda.time.base.*;
import org.joda.time.convert.*;
import org.joda.time.field.*;
import org.joda.time.format.*;
import org.joda.time.chrono.*;
import org.joda.time.*;

public class LenientDateTimeFieldTest
{
	//------------------------ PCC ----------------------------------------------------------------------------------
	public String test1(){
		StrictDateTimeField sdtf = new StrictDateTimeField(BuddhistChronology.getInstanceUTC().monthOfYear());
		return LenientDateTimeField.getInstance(sdtf, BuddhistChronology.getInstanceUTC()).toString();
	}
	//------------------------ PCC ----------------------------------------------------------------------------------

	//------------------------ IOD ----------------------------------------------------------------------------------
	public String test2(){
		StrictDateTimeField sdtf = new StrictDateTimeField(BuddhistChronology.getInstanceUTC().monthOfYear());
		DateTimeField ldtf = LenientDateTimeField.getInstance(sdtf, BuddhistChronology.getInstanceUTC());
		ldtf.set(BuddhistChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789), 33);
		return ldtf.toString();
	}
	//------------------------ IOD ----------------------------------------------------------------------------------

	//------------------------ PCI ----------------------------------------------------------------------------------

	public String test3(){
		SkipDateTimeField sdtf = new SkipDateTimeField(ISOChronology.getInstanceUTC(), ISOChronology.getInstanceUTC().monthOfYear());
		DateTimeField ldtf = LenientDateTimeField.getInstance(sdtf, ISOChronology.getInstanceUTC());
		ldtf.set(ISOChronology.getInstanceUTC().getDateTimeMillis(2000, 10, 02, 3, 34, 56, 789), 33);
		return ldtf.toString();
	}
	//------------------------ PCI ----------------------------------------------------------------------------------
}